# DelegateBasedKeyValuesRepo

constructor(readDelegate: ReadKeyValuesRepo < Key , Value >, writeDelegate: WriteKeyValuesRepo < Key , Value >)(source)

#### Parameters

readDelegate

Delegate providing all ReadKeyValuesRepo operations

writeDelegate

Delegate providing all WriteKeyValuesRepo operations

#### Type Parameters

Key

The type of keys in the repository

Value

The type of values associated with keys